<?
if ($level == 0){
  header('Location: /index.php');
  exit;
}

if (isset($ID) && $level > 1 && !isset($_GET['admin'])) {
  $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($ank['id']) && isset($user)) {
  $ank = $user;
}

if (isset($_GET['delete']) && ($ank['id'] == $user['id'] || $level > 3)) {
  $delete = (int) $_GET['delete'];
  
  if ($sql -> selectCount("SELECT COUNT(*) FROM `referals` WHERE `id_user` = '$ank[id]' AND `id_referal` = '$delete'") != 0) {
    $sql -> delete("DELETE FROM `referals` WHERE `id_user` = '$ank[id]' AND `id_referal` = '$delete'");
    $messages[] = __('Реферал успешно удален');
  }
}

$system['title'] = __('Рефералы') . ' ' . text($ank['login']);
require SYS . 'header.php';

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `referals` WHERE `id_user` = '$ank[id]'");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;"><?= __('Список рефералов пуст')?></div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `referals` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $post) {
    $num++;
    ?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
      <a href="?func=user.referals&amp;delete=<?= $post['id_referal']?>&amp;page=<?= $page?>" class="close"><i class="icon-remove"></i></a>
      <?= login($post['id_referal'], 1, 1)?><br />
      <i class="icon-time"></i> <?= __('Регистрация')?>: <?= vremja($post['time'])?><br /> 
      <i class="icon-hand-up"></i> <?= __('Доход')?>: <?= $post['wmr']?> руб.<br />
      <? if ($post['url']) { ?>
        <i class="icon-globe"></i> <?= __('С сайта')?>: <?= text($post['url'])?><br />
      <? } ?>
    </div>
    <?
  }

  if ($k_page > 1) { 
    str('/?func=' . $func . '&amp;id=' . $ank['id'] . '&amp;', $k_page, $page);
  }
} 
?>
<div class="alert" style="margin: 2px;">
<?= __('Каждый приведенный вами покупатель/продавец, закрепляется за Вами навсегда! С каждой его покупки или продажи, вам будет отчисляться 3% от стоимости товара.')?><br />
<?= __('Для привлечения реферала, вам достаточно дать ссылку на свою страницу, на страницу с Вашими товарами или скопировать ссылку товара, на странице с товаром.')?><br />
 <?= __('Ссылка на Вашу страницу')?>:<br />
 <input type="text" value="http://<?= text($_SERVER['HTTP_HOST'])?>/wm/<?= $user['my_links']?>" />
</div>

<div class="foot">
&laquo; <a href="?func=user.main"><?= __('В кабинет')?></a><br />
</div>